Rated 1 out of 5 stars

It dos not repeat NOT work with 3.6. - the system response is: SMART BOOKMARKS 1.4.3 COULD NOT BE INSTALLED AS NOT COMPATTIBLE WITH FIREFOX 3.6 ...... Please fix this a s a p!!